Package net.rubygrapefruit.platform.internal

# Class DefaultSystemInfo

java.lang.Object
net.rubygrapefruit.platform.internal.DefaultSystemInfo

All Implemented Interfaces:
  `NativeIntegration`, `SystemInfo`

public class DefaultSystemInfo extends Object implements SystemInfo

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.rubygrapefruit.platform.SystemInfo

`SystemInfo.Architecture`

## Constructor Summary

Constructors
Constructor
Description
`DefaultSystemInfo()`

## Method Summary

Modifier and Type
Method
Description
`SystemInfo.Architecture`
`getArchitecture()`
Returns the machine architecture, as reported by the operating system.
`String`
`getArchitectureName()`
Returns the machine architecture name, as reported by the operating system.
`String`
`getKernelName()`
Returns the name of the kernel for the current operating system.
`String`
`getKernelVersion()`
Returns the version of the kernel for the current operating system.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultSystemInfo

public DefaultSystemInfo()

## Method Details

### getKernelName

public String getKernelName()
Description copied from interface: `SystemInfo`
Returns the name of the kernel for the current operating system.

Specified by:
  `getKernelName` in interface `SystemInfo`

### getKernelVersion

public String getKernelVersion()
Description copied from interface: `SystemInfo`
Returns the version of the kernel for the current operating system.

Specified by:
  `getKernelVersion` in interface `SystemInfo`

### getArchitectureName

public String getArchitectureName()
Description copied from interface: `SystemInfo`
Returns the machine architecture name, as reported by the operating system.

Specified by:
  `getArchitectureName` in interface `SystemInfo`

### getArchitecture

public SystemInfo.Architecture getArchitecture()
Description copied from interface: `SystemInfo`
Returns the machine architecture, as reported by the operating system.

Specified by:
  `getArchitecture` in interface `SystemInfo`